com.jogamp.common.os

## Enum MachineDescription.StaticConfig

- java.lang.Object
- - java.lang.Enum<MachineDescription.StaticConfig>
  - - com.jogamp.common.os.MachineDescription.StaticConfig

- All Implemented Interfaces:
    Serializable, Comparable<MachineDescription.StaticConfig>
  Enclosing class:
    MachineDescription

      public static enum MachineDescription.StaticConfig
      extends Enum<MachineDescription.StaticConfig>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARMle_EABI` `MachineDescription.ID.ARMle_EABI`
    `SPARC_32_SUNOS` `MachineDescription.ID.SPARC_32_SUNOS`
    `X86_32_MACOS` `MachineDescription.ID.X86_32_MACOS`
    `X86_32_UNIX` `MachineDescription.ID.X86_32_UNIX`
    `X86_32_WINDOWS` `MachineDescription.ID.X86_32_WINDOWS`
    `X86_64_UNIX` `MachineDescription.ID.X86_64_UNIX`
    `X86_64_WINDOWS` `MachineDescription.ID.X86_64_WINDOWS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MachineDescription.ID` | `id`
    `MachineDescription` | `md`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `StringBuilder` | `toString(StringBuilder sb)`
    `static MachineDescription.StaticConfig` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MachineDescription.StaticConfig[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARMle_EABI

          public static final MachineDescription.StaticConfig ARMle_EABI

      `MachineDescription.ID.ARMle_EABI`

    - #### X86_32_UNIX

          public static final MachineDescription.StaticConfig X86_32_UNIX

      `MachineDescription.ID.X86_32_UNIX`

    - #### X86_64_UNIX

          public static final MachineDescription.StaticConfig X86_64_UNIX

      `MachineDescription.ID.X86_64_UNIX`

    - #### X86_32_MACOS

          public static final MachineDescription.StaticConfig X86_32_MACOS

      `MachineDescription.ID.X86_32_MACOS`

    - #### X86_32_WINDOWS

          public static final MachineDescription.StaticConfig X86_32_WINDOWS

      `MachineDescription.ID.X86_32_WINDOWS`

    - #### X86_64_WINDOWS

          public static final MachineDescription.StaticConfig X86_64_WINDOWS

      `MachineDescription.ID.X86_64_WINDOWS`

    - #### SPARC_32_SUNOS

          public static final MachineDescription.StaticConfig SPARC_32_SUNOS

      `MachineDescription.ID.SPARC_32_SUNOS`

  - ### Field Detail

    - #### id

          public final MachineDescription.ID id

    - #### md

          public final MachineDescription md

  - ### Method Detail

    - #### values

          public static MachineDescription.StaticConfig[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MachineDescription.StaticConfig c : MachineDescription.StaticConfig.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MachineDescription.StaticConfig valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public StringBuilder toString(StringBuilder sb)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MachineDescription.StaticConfig>`